Foxit PDF SDK

Instance Methods | Properties | List of all members
FSHiddenInfoSettingData Class Reference

Configuration settings for removing hidden or sensitive data from a PDF document.
More...

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructs a HiddenDataSetting object with all removal options enabled by default.

## Properties
BOOL | enable_remove_bookmark
| A boolean value indicating whether to remove bookmarks. More...
BOOL | enable_remove_comment
| A boolean value indicating whether to remove comments and annotations. More...
BOOL | enable_remove_content
| A boolean value indicating whether to remove invisible or obscured content. More...
BOOL | enable_remove_fileattachment
| A boolean value indicating whether to remove embedded file attachments. More...
BOOL | enable_remove_form_fields
| A boolean value indicating whether to remove interactive form fields. More...
BOOL | enable_remove_hidden_layer
| A boolean value indicating whether to remove hidden layers (Optional Content Groups). More...
BOOL | enable_remove_hidden_text
| A boolean value indicating whether to remove hidden text. More...
BOOL | enable_remove_link
| A boolean value indicating whether to remove hyperlink annotations. More...
BOOL | enable_remove_metadata
| A boolean value indicating whether to remove document metadata. More...
BOOL | enable_remove_overlaping
| A boolean value indicating whether to remove overlapping objects. More...
BOOL | enable_remove_searchIndex
| A boolean value indicating whether to remove the search index. More...

## Detailed Description

Configuration settings for removing hidden or sensitive data from a PDF document.

## Property Documentation

## ◆ enable_remove_bookmark

- (BOOL) enable_remove_bookmark
| read write nonatomic assign

A boolean value indicating whether to remove bookmarks.

Bookmarks are document outlines that may reveal document structure or private section names.

## ◆ enable_remove_comment

- (BOOL) enable_remove_comment
| read write nonatomic assign

A boolean value indicating whether to remove comments and annotations.

Comments may contain personal notes, editorial feedback, or private data.

## ◆ enable_remove_content

- (BOOL) enable_remove_content
| read write nonatomic assign

A boolean value indicating whether to remove invisible or obscured content.

Includes content fully covered by other elements or outside the visible page area.

## ◆ enable_remove_fileattachment

- (BOOL) enable_remove_fileattachment
| read write nonatomic assign

A boolean value indicating whether to remove embedded file attachments.

File attachments may contain hidden or unrelated external content embedded in the PDF.

## ◆ enable_remove_form_fields

- (BOOL) enable_remove_form_fields
| read write nonatomic assign

A boolean value indicating whether to remove interactive form fields.

Form fields such as text boxes and checkboxes may store sensitive user input.

## ◆ enable_remove_hidden_layer

- (BOOL) enable_remove_hidden_layer
| read write nonatomic assign

A boolean value indicating whether to remove hidden layers (Optional Content Groups).

Hidden layers can contain text or graphics not visible in normal viewing mode.

## ◆ enable_remove_hidden_text

- (BOOL) enable_remove_hidden_text
| read write nonatomic assign

A boolean value indicating whether to remove hidden text.

Hidden text may be visually invisible but still accessible through text extraction.

## ◆ enable_remove_link

- (BOOL) enable_remove_link
| read write nonatomic assign

A boolean value indicating whether to remove hyperlink annotations.

Links may lead to external sites or reference internal sensitive sections.

## ◆ enable_remove_metadata

- (BOOL) enable_remove_metadata
| read write nonatomic assign

A boolean value indicating whether to remove document metadata.

Metadata may contain title, author, keywords, and other hidden descriptive information.

## ◆ enable_remove_overlaping

- (BOOL) enable_remove_overlaping
| read write nonatomic assign

A boolean value indicating whether to remove overlapping objects.

Overlapping elements can be used to obscure sensitive content or create misleading visuals.

## ◆ enable_remove_searchIndex

- (BOOL) enable_remove_searchIndex
| read write nonatomic assign

A boolean value indicating whether to remove the search index.

Search indexes speed up full-text search but may retain hidden or outdated content.